package _VisualDVM.Passes.All;
import _VisualDVM.Current;
import _VisualDVM.Global;
import _VisualDVM.Passes.Sapfor.SapforFilesModification;
public class SPF_ChangeSpfIntervals extends SapforFilesModification {
    //  SPF_ChangeSpfIntervals (addOpt1_c -> file, addOpt2_c-> int lines, '|' as delimiter)
    int start;
    int end;
    int mod;
    @Override
    protected boolean canStart(Object... args) throws Exception {
        if (super.canStart(args) && Global.mainModule.Check(Log, Current.File)) {
            start = (int) args[0];
            end = (int) args[1];
            mod = (int) args[2];
            addOpt1 = Global.mainModule.getFile().name;
            addOpt2 = start + "|" + end + "|" + mod;
            return true;
        }
        return false;
    }
}
